import { NodeType, Node } from 'prosemirror-model';
import { EditorState, Transaction } from 'prosemirror-state';
import { EditorView } from 'prosemirror-view';
import { Command } from './types/command';
type ListOptions = {
    listType: string;
    orderedList: string;
    bulletList: string;
    listItem: string;
    listAttrs?: any;
};
/**
 * Extracts list-style-type style from node's attributes.
 *
 * @param attrs - The attributes of the list node
 * @returns The extracted list-style-type.
 */
export declare const listStyle: (attrs: Node["attrs"]) => string;
export declare const toggleList: (state: EditorState, dispatch: (tr: Transaction) => void, view: EditorView, options: ListOptions, command?: string) => boolean;
export declare function toggleUnorderedList(state: EditorState, dispatch: (tr: Transaction) => void, view: EditorView): any;
export declare function toggleOrderedList(state: EditorState, dispatch: (tr: Transaction) => void, view: EditorView): any;
export declare const splitListItemKeepMarks: (itemType: NodeType) => Command;
export {};
