import { Plugin, PluginKey, Transaction } from 'prosemirror-state';
export declare const imageResizeKey: PluginKey<any>;
interface Rect {
    top: number;
    left: number;
    width: number;
    height: number;
}
declare class ResizeState {
    activeHandle: string;
    dragging: {
        startX: number;
        startY: number;
    } | null;
    rect: Rect | null;
    nodePosition: number;
    constructor(activeHandle: string, dragging: {
        startX: number;
        startY: number;
    } | null, rect: Rect | null, nodePosition: number);
    apply(tr: Transaction): ResizeState;
}
export interface ImageResizeOptions {
    node: string;
    lockRatio: boolean;
}
export declare const imageResizing: (options?: ImageResizeOptions) => Plugin<ResizeState>;
export {};
